Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sudokugamej2se11
Class Node

    java.lang.Object
      sudokugamej2se11.Node

     class Node

extends java.lang.Object

A TableFactory megoldáskereső metódusához szükséges csomópontok osztálya.

Field Summary
`private java.lang.String` | `operator`
`private Node` | `parent`
`private int[][]` | `state`
`private java.util.List<java.lang.String>` | `usedOperators`

Constructor Summary
`Node(int[][] state, Node parent, java.lang.String operator)` Egy csomópont egyedet létrehozó konstruktor.

Method Summary
`void` | `addOperator(java.lang.String operator)` Hozzáad egy operátort a kipróbált operátorok halmazához.
`java.lang.String` | `getOperation()` Visszaadja a csomópont operátorát.
`Node` | `getParent()` Visszaadja a csomópont szülőjét.
`int[][]` | `getState()` Visszaadja a csomópont állapotát.
`boolean` | `isUsedOperator(java.lang.String operator)` Megállapítja a megadott operátorrol, hogy ki lett próbálva az csomópontra.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    private int[][] state

### parent

    private Node parent

### operator

    private java.lang.String operator

### usedOperators

    private java.util.List<java.lang.String> usedOperators

Constructor Detail

### Node

    public Node(int[][] state,
                Node parent,
                java.lang.String operator)

  Egy csomópont egyedet létrehozó konstruktor.

  Parameters:
    `state` - A csomópont állapota.
    `parent` - A csomópont szülő csomópontja.
    `operator` - A csomópont operátora.

Method Detail

### addOperator

    public void addOperator(java.lang.String operator)

  Hozzáad egy operátort a kipróbált operátorok halmazához.

  Parameters:
    `operator` - Az új operátor.

### getParent

    public Node getParent()

  Visszaadja a csomópont szülőjét.

  Returns:
    A csomópont szülője.

### getState

    public int[][] getState()

  Visszaadja a csomópont állapotát.

  Returns:
    A csomópont állapota.

### getOperation

    public java.lang.String getOperation()

  Visszaadja a csomópont operátorát.

  Returns:
    A csomópont operátora.

### isUsedOperator

    public boolean isUsedOperator(java.lang.String operator)

  Megállapítja a megadott operátorrol, hogy ki lett próbálva az csomópontra.

  Parameters:
    `operator` - Az operátor.
  Returns:
    true, ha az operátor már kipróbált, false egyébként.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD